# Class: GenerateMatchupsForWeekPatch

## GenerateMatchupsForWeekPatch()

Generates the matchups for the current week by scheduling teams to play, first any team they haven't already played, or a random team.

## Constructor

#### new GenerateMatchupsForWeekPatch()

Source:
  - app/GenerateMatchupsForWeek.patch.js, line 15

##### Example

    P = require('./app/GenerateMatchupsForWeek.patch')
    p = _di.make(P)
    await p.run()

### Extends

- Injectable

### Methods

#### (async) get_teams_played_by_team(team) → {Promise.<Array.<string>>}

Get a list of all teams played by the given team.

##### Parameters:

Name | Type | Description
--- | --- | ---
`team` | Team |

Source:
  - app/GenerateMatchupsForWeek.patch.js, line 123

##### Returns:

Type
  Promise.<Array.<string>>

#### (async) run()

Run the patch.

Source:
  - app/GenerateMatchupsForWeek.patch.js, line 23